• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

[ROM][OFFICIAL] LineageOS 17.1 weeklies for HTC One M8 / M8 Dual SIM

Search This thread

wd9895

Senior Member
Mar 16, 2018
135
46
Hamburg
In the meantime LOS 17.1 is outdated. I used it quite a long time and it worked pretty well but I was bothered by the memory management issues with freezes and hickups since a few months.

I recommend Android 11 used by the official AICP 16. My biggest concern were the banking app I use but if the phone is not rooted this is no issue at all. It runs smoothly as daily driver and the battery drain is definitely not higher compared to LOS 17.1. The updates happen on weekly base.

My M8 is a european one, no carrier specific.

Try it https://dwnld.aicp-rom.com/#htc
 
  • Like
Reactions: old.splatterhand
Just unlocked the bootloader for the device but for some reason after flashing LineageOS recovery, I can't access the recovery. The screen stops at Entering Recovery and reboots. I can access the recovery using the latest TWRP but once I'm in I can't flash LineageOS 17.1 because I'm getting the Error 7 message.

I followed the steps on LineageOS website precisely so I don't understand what's happening.
 

fela4

Senior Member
Apr 7, 2016
71
26
Utopia
HTC One (M8)
Just unlocked the bootloader for the device but for some reason after flashing LineageOS recovery, I can't access the recovery. The screen stops at Entering Recovery and reboots. I can access the recovery using the latest TWRP but once I'm in I can't flash LineageOS 17.1 because I'm getting the Error 7 message.

I followed the steps on LineageOS website precisely so I don't understand what's happening.
You may need to do This , should be good to go after, also what version of TWRP are you using ?
 
You may need to do This , should be good to go after, also what version of TWRP are you using ?
Resize the partition? I tried that already without any success. As far as TWRP goes, I'm using 3.5.2.

By any chance, does my outdated fastboot or bootloader have anything to do with not being able to flash ROM's? I'm currently using HBOOT 3.16 and I cannot download any firmware's or drivers off HTC's website which isn't helping either.
 

fela4

Senior Member
Apr 7, 2016
71
26
Utopia
HTC One (M8)
Resize the partition? I tried that already without any success. As far as TWRP goes, I'm using 3.5.2.

By any chance, does my outdated fastboot or bootloader have anything to do with not being able to flash ROM's? I'm currently using HBOOT 3.16 and I cannot download any firmware's or drivers off HTC's website which isn't helping either.
I was using KK bootloader even for 18.1 and it was working fine. I just updated recently to the 6.0 , but because the OP notes that it's based of 6.0, it might be in your best interest to update and try again.
 

Top Liked Posts

  • There are no posts matching your filters.
  • 1
    In the meantime LOS 17.1 is outdated. I used it quite a long time and it worked pretty well but I was bothered by the memory management issues with freezes and hickups since a few months.

    I recommend Android 11 used by the official AICP 16. My biggest concern were the banking app I use but if the phone is not rooted this is no issue at all. It runs smoothly as daily driver and the battery drain is definitely not higher compared to LOS 17.1. The updates happen on weekly base.

    My M8 is a european one, no carrier specific.

    Try it https://dwnld.aicp-rom.com/#htc
    1
    What am I updating? Thanks.
    Your device Firmware(Bootloader, recovery and Radio) , You can use RUU files for your variant
  • 74
    2okPze5.png

    LineageOS is a free, community built, aftermarket firmware distribution of Android 10 (Q), which is designed to increase performance and reliability over stock Android for your device.

    LineageOS is based on the Android Open Source Project with extra contributions from many people within the Android community. It can be used without any need to have any Google application installed. You will need to provide your own Google Applications package (gapps). LineageOS does still include various hardware-specific code, which is also slowly being open-sourced anyway.

    Base source code is available in the LineageOS Github repo. And if you would like to contribute to the project, please visit our Gerrit Code Review.

    GPL compliance:
    yG18r6g.png

    Working:
    • WiFi
    • Bluetooth
    • ANT+
    • NFC
    • Camera (including video recording)
    • FM Radio
    • Telephony (Calls, MMS/SMS and Mobile data)
    • Audio (Record and Playback)
    • Video Playback
    • Sensors
    • GPS

    Broken / not yet supported:
    • MHL

    Compatibility:
    Single SIM variants:
    Builds are compatible with all M8 single SIM variants (m8ul, m8vzw and m8spr).​
    Dual SIM variants:
    Builds are compatible with all M8 Dual SIM variants (m8dug and m8dwg).​
    In both cases, all builds are based off the HTC's Android 6.0.1 firmware and kernel with binaries from Android 6.0 GPe.

    Downloads:
    Single SIM variants:
    Dual SIM variants:

    Installation:
    • Reboot to recovery (TWRP by @Captain_Throwback) - Direct link
    • Wipe /system, /data and /cache
    • Install LineageOS zip package
    • Install [optional] a Google Apps package of your choice (Open GApps is advisable, but stock and super variants are not recommended!!!)

    Credits & collaborations
    This work is due to efforts from everyone involved in M8 development. The LineageOS team would like to thank everyone involved in helping with testing, coding, debugging & documenting! Enjoy!

    Device wiki:
    Single SIM variants:
    Dual SIM variants:
    15
    Anyway, I need one user with the Verizon Wireless variant (MID 0P6B20000) and one user with the Sprint variant (MID 0P6B70000) in order to test something new. The idea is to kill this variant script and do the QC libril selection in a different way. Contact me if and only if you have one of these models.
    No one? Whatever, I did it blindly. If someone with such variants complains, I'll need to do it in some other way. New builds are up and should all be good for the majority of the users right now.

    Don't bother reporting about missing features. There are still quite a few features to forward-port to Q, so bear with us.
    15
    error 7 problem exist here too, should i flash gapps and reboot or there's something that i must do?

    I'll fix that as soon as possible. That's a script that's failing during the installation and causing the breakage in telephony.
    15
    Just an heads-up for everyone that is eagerly waiting for new builds. I will release new builds this week.
    15
    I'll fix that as soon as possible. That's a script that's failing during the installation and causing the breakage in telephony.

    New build is up. Should be working now. :)